Subject: Re: git svn clone a non-standard repository

From: John Locke <[email-masked]>
Date: Thu, 26 Jun 2008 11:39:29 -0700

Sorry to respond to my own post, but this section looks wrong:

John Locke wrote:
>
>
> Now the tricky part: I checked out a new "work" branch, and deleted 
> everything in the working copy. Then, 4 steps out of the howto, 
> adjusted to pull the particular branch from the current repository 
> (instead of an outside one):
>
> git remote add -t dojo -f dojo ./
> git merge -s ours --no-commit dojo-trunk
> git read-tree --prefix=dojo/ -u dojo-trunk
> git commit -m "merge dojo into subdirectory"

... since I added the remotes as svn-remote sections directly in 
git-config, I skipped that first line.

I'm going to write this all up on my blog when I get it working correctly...

Cheers,

-- 
John Locke
"Open Source Solutions for Small Business Problems"
published by Charles River Media, June 2004
http://www.freelock.com